"""General/baselite/site-wide URLs."""

from django.conf.urls import include, url
from django.contrib import admin
from django.views.generic import TemplateView

from adminplus.sites import AdminSitePlus

admin.site = AdminSitePlus()
admin.sites.site = admin.site
admin.autodiscover()

urlpatterns = [
    url(r'^$', TemplateView.as_view(template_name='index.html'), name='home'),

    url(r'^dispatch/', include('dispatch.urls')),
    url(r'^itemsets/', include('facts.urls')),
    url(r'^karma/', include('karma.urls')),
    url(r'^markov/', include('markov.urls')),
    url(r'^races/', include('races.urls')),

    url(r'^accounts/', include('registration.backends.default.urls')),
    url(r'^admin/', include(admin.site.urls)),
]
